Name:           ocaml-camlp5
Version:        5.12
Release:        %mkrel 1
Summary:        Classical version of camlp4 OCaml preprocessor
License:        BSD
Group:          Development/Other
URL:            http://pauillac.inria.fr/~ddr/camlp5/
Source0:        http://pauillac.inria.fr/~ddr/camlp5/distrib/src/camlp5-%{version}.tgz
Source1:        camlp5-META
Source2:        http://pauillac.inria.fr/~ddr/camlp5/doc/htmlz/camlp5-5.11.html.tgz
Source3:        http://pauillac.inria.fr/~ddr/camlp5/doc/pdf/camlp5-5.11.pdf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  ocaml >= 3.10.1

%description
Camlp5 is a preprocessor and pretty-printer for OCaml programs.
It also provides parsing and printing tools.
It is the continuation of the classical camlp4 with new features.

As a preprocessor, it allows to:
 * extend the syntax of OCaml,
 * redefine the whole syntax of the language.

As a pretty printer, it allows to:
 * display OCaml programs in an elegant way,
 * convert from one syntax to another,
 * check the results of syntax extensions.

Camlp5 also provides some parsing and pretty printing tools:
 * extensible grammars
 * extensible printers
 * stream parsers and lexers
 * pretty print module

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentations in HTML and PDF formats
for developing applications that use %{name}.

%prep
%setup -q -n camlp5-%{version}
# doc:
tar xzf %{SOURCE2}
cp %{SOURCE3} ./

%build
./configure
make all opt
strip meta/camlp5r.opt etc/camlp5o.opt

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/ocaml
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}
make install \
  LIBDIR=%{buildroot}%{_libdir}/ocaml \
  OLIBDIR=%{buildroot}%{_libdir}/ocaml \
  BINDIR=%{buildroot}%{_bindir} \
  MANDIR=%{buildroot}%{_mandir}
cp %{SOURCE1} %{buildroot}%{_libdir}/ocaml/camlp5/META


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE
%dir %{_libdir}/ocaml/camlp5
%{_libdir}/ocaml/camlp5/*
%exclude %{_libdir}/ocaml/camlp5/*.a
%exclude %{_libdir}/ocaml/camlp5/*.cmxa
%exclude %{_libdir}/ocaml/camlp5/*.cmx
%exclude %{_libdir}/ocaml/camlp5/*.mli

%files devel
%defattr(-,root,root)
%doc README LICENSE CHANGES ICHANGES DEVEL UPGRADING
%{_libdir}/ocaml/camlp5/*.a
%{_libdir}/ocaml/camlp5/*.cmxa
%{_libdir}/ocaml/camlp5/*.cmx
%{_libdir}/ocaml/camlp5/*.mli
%{_bindir}/camlp5*
%{_bindir}/mkcamlp5*
%{_bindir}/ocpp5
%{_mandir}/man1/*.1*

%files doc
%defattr(-,root,root)
%doc camlp5-5.11.html
%doc camlp5-5.11.pdf



%changelog
* Fri Sep 04 2009 Florent Monnier <blue_prawn@mandriva.org> 5.12-1mdv2010.0
+ Revision: 431415
- spec file imported from the fedora's one by Richard Jones

